# Fetching a single Project Template Assignment

This endpoint returns structured Project Template Assignment objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_template_assignments top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /project_template_assignments/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- project_template (ProjectTemplate) - The project template associated with the assignment.
- role (Role).

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.
    Enum: "total_estimated_minutes", "total_count", "role_initials", "role_name"

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `project_template_assignments` (object)

  - `project_templates` (object)

  - `roles` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


